# Generated from compass-pug-0.2.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name compass-pug

Name: rubygem-%{gem_name}
Version: 0.2.0
Release: 1%{?dist}
Summary: A collection of mixins and functions for use in Sass/Compass projects
License: MIT
URL: https://github.com/andrewkamm/compass-pug
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Pug is a collection of mixins and functions for use in Sass/Compass projects.
It provides various helpers and utilities, some of which are adapted from CSS
classes included in various HTML starter packages like Bootstrap and HTML5
Boilerplate. It aims to increase consistency and productivity in front-end
development, as well as to help get non-semantic utility classes out of
markup.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%{gem_instdir}/stylesheets
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Mon Apr 18 2022 mockbuilder - 0.2.0-1
- Initial package
